> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Retrieve all data slices associated with the currently authenticated user.

### Response

Returns a JSON object containing a list of dataslices:

```json
{
  "dataslices": [
    {
      "dataslice_id": "string",
      "dataslice_name": "string",
      "description": "string",
      "status": "active",
      "data_points": 123,
      "latest_taxonomy": { /* taxonomy details */ },
      "taxonomy_id": "string",
      "data_connector_name": "string",
      "parent_dataslice_id": "string or null"
    },
    ...
  ]
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml get /dataslice/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /dataslice/list:
    get:
      tags:
        - Data Slices
      summary: List
      description: >-
        Retrieve all data slices associated with the currently authenticated
        user.


        ### Response


        Returns a JSON object containing a list of dataslices:


        ```json

        {
          "dataslices": [
            {
              "dataslice_id": "string",
              "dataslice_name": "string",
              "description": "string",
              "status": "active",
              "data_points": 123,
              "latest_taxonomy": { /* taxonomy details */ },
              "taxonomy_id": "string",
              "data_connector_name": "string",
              "parent_dataslice_id": "string or null"
            },
            ...
          ]
        }

        ```
      operationId: list_dataslices_route_dataslice_list_get
      responses:
        '200':
          description: A list of dataslices the user can access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDataslicesResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            data_slices = client.data_slice.list()
            print(data_slices.dataslices)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const dataSlices = await client.dataSlice.list();

            console.log(dataSlices.dataslices);
components:
  schemas:
    ListDataslicesResponse:
      properties:
        dataslices:
          items:
            $ref: '#/components/schemas/DataSliceModel-Output'
          type: array
          title: Dataslices
      type: object
      required:
        - dataslices
      title: ListDataslicesResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    DataSliceModel-Output:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        datasource:
          type: string
          format: uuid
          title: Datasource
        data_points:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Points
        last_updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated
        condition:
          anyOf:
            - $ref: '#/components/schemas/Condition-Output'
            - type: 'null'
        stats:
          anyOf:
            - type: object
            - type: 'null'
          title: Stats
        vdb_profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vdb Profile Id
        dataconnector_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataconnector Name
      type: object
      required:
        - id
        - datasource
      title: DataSliceModel
    Condition-Output:
      properties:
        condition:
          anyOf:
            - $ref: '#/components/schemas/LogicCondition'
            - type: 'null'
        children:
          anyOf:
            - items:
                $ref: '#/components/schemas/Condition-Output'
              type: array
            - type: 'null'
          title: Children
        tag:
          anyOf:
            - $ref: '#/components/schemas/BaseTag'
            - type: 'null'
      type: object
      title: Condition
    LogicCondition:
      type: string
      enum:
        - AND
        - OR
      title: LogicCondition
    BaseTag:
      properties:
        name:
          type: string
          title: Name
        values:
          items:
            anyOf:
              - type: string
              - type: number
              - type: integer
          type: array
          title: Values
          default: []
        operator:
          anyOf:
            - type: string
            - type: 'null'
          title: Operator
          default: any
      type: object
      required:
        - name
      title: BaseTag
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````